# GCP

**Steps to be followed:**

1. Login to your GCP console&#x20;
2. [Create a Service Account](https://cloud.google.com/iam/docs/creating-managing-service-accounts)  with the  **following permissions** listed below
3. [Generate a Service Key](https://cloud.google.com/iam/docs/creating-managing-service-account-keys)  mapped to the Service Account&#x20;
4. Upload the Service Key to save the GCR instance as a provider <br>

**Permissions:**<br>

* Project Admin
* Cloudbuild.builds.get
* Cloudbuild.builds.list
* Cloudbuild.builds.create
* Cloudbuild.builds.update
* Storage.objects.get
* Storage.objects.list
* Container.clusters.create
* Container.clusters.delete
* Container.clusters.get
* Container.clusters.list
* Container.clusters.update
* Resourcemanager.projects.get
* iam.serviceAccounts.getAccessToken
* compute.disks.create
* compute.disks.setLabels
* compute.instanceGroupManagers.get
* compute.instanceGroups.update
* compute.instances.create
* compute.machineTypes.get
* compute.machineTypes.list
* compute.subnetworks.use
* compute.subnetworks.useExternalIp
* container.operations.get
* iam.serviceAccounts.actAs
* Role: Kubernetes Engine Admin
* storage.buckets.create
* storage.buckets.delete
* storage.buckets.get
* storage.buckets.list
* storage.buckets.update
* storage.objects.create
* storage.objects.delete
* storage.objects.get
* storage.objects.list
* storage.objects.update


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ozone.one/in-product-guides/gcp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
